aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPaul Eggert2016-04-13 11:12:15 -0700
committerPaul Eggert2016-04-13 11:12:39 -0700
commit1aebe99145e9ef612cdb272800904e3ba9297196 (patch)
treeadff82b1ea3fc1406907a1fb561e84d8d9a9dd9a
parent7d835d8e792664e201ec50ba5f0a260d91e1fff5 (diff)
downloademacs-1aebe99145e9ef612cdb272800904e3ba9297196.tar.gz
emacs-1aebe99145e9ef612cdb272800904e3ba9297196.zip
Do not require that .git be a directory
Problem reportyed by Phillip Lord. * admin/update_autogen, autogen.sh, build-aux/gitlog-to-emacslog: * configure.ac, make-dist: Do not require that .git be a directory, as 'git worktree' makes it a file and not a directory.
-rwxr-xr-xadmin/update_autogen2
-rwxr-xr-xautogen.sh2
-rwxr-xr-xbuild-aux/gitlog-to-emacslog2
-rw-r--r--configure.ac4
-rwxr-xr-xmake-dist2
5 files changed, 6 insertions, 6 deletions
diff --git a/admin/update_autogen b/admin/update_autogen
index 199a3aad093..1e8aae2bd44 100755
--- a/admin/update_autogen
+++ b/admin/update_autogen
@@ -49,7 +49,7 @@ cd ../
49 49
50if [ -d .bzr ]; then 50if [ -d .bzr ]; then
51 vcs=bzr 51 vcs=bzr
52elif [ -d .git ]; then 52elif [ -e .git ]; then
53 vcs=git 53 vcs=git
54else 54else
55 die "Cannot determine vcs" 55 die "Cannot determine vcs"
diff --git a/autogen.sh b/autogen.sh
index 904246509fa..2e10a77cb37 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -330,7 +330,7 @@ fi
330 330
331if test ! -f configure; then 331if test ! -f configure; then
332 echo "You can now run '$0 autoconf'." 332 echo "You can now run '$0 autoconf'."
333elif test -d .git && test $git_was_ok = false && test $do_git = false; then 333elif test -e .git && test $git_was_ok = false && test $do_git = false; then
334 echo "You can now run '$0 git'." 334 echo "You can now run '$0 git'."
335elif test ! -f config.status || 335elif test ! -f config.status ||
336 test -n "`find src/stamp-h.in -newer config.status`"; then 336 test -n "`find src/stamp-h.in -newer config.status`"; then
diff --git a/build-aux/gitlog-to-emacslog b/build-aux/gitlog-to-emacslog
index 5c187f5eae0..6b9cfc145bc 100755
--- a/build-aux/gitlog-to-emacslog
+++ b/build-aux/gitlog-to-emacslog
@@ -68,7 +68,7 @@ if [ -f "$output" ]; then
68fi 68fi
69 69
70# If this is not a Git repository, just generate an empty ChangeLog. 70# If this is not a Git repository, just generate an empty ChangeLog.
71test -d .git || { 71test -e .git || {
72 >"$output" 72 >"$output"
73 exit 73 exit
74} 74}
diff --git a/configure.ac b/configure.ac
index 790ff84365e..8f311cf7872 100644
--- a/configure.ac
+++ b/configure.ac
@@ -874,11 +874,11 @@ AC_ARG_ENABLE([gcc-warnings],
874 gl_gcc_warnings=$enableval], 874 gl_gcc_warnings=$enableval],
875 [# By default, use 'warn-only' if it looks like the invoker of 'configure' 875 [# By default, use 'warn-only' if it looks like the invoker of 'configure'
876 # is a developer as opposed to a builder. This is most likely true 876 # is a developer as opposed to a builder. This is most likely true
877 # if GCC is recent enough and there is a .git subdirectory; 877 # if GCC is recent enough and there is a .git directory or file;
878 # however, if there is also a .tarball-version file it is probably 878 # however, if there is also a .tarball-version file it is probably
879 # just a release imported into Git for patch management. 879 # just a release imported into Git for patch management.
880 gl_gcc_warnings=no 880 gl_gcc_warnings=no
881 test -d "$srcdir"/.git && test ! -f "$srcdir"/.tarball-version && 881 test -e "$srcdir"/.git && test ! -f "$srcdir"/.tarball-version &&
882 gl_GCC_VERSION_IFELSE([5], [3], [gl_gcc_warnings=warn-only])] 882 gl_GCC_VERSION_IFELSE([5], [3], [gl_gcc_warnings=warn-only])]
883) 883)
884 884
diff --git a/make-dist b/make-dist
index 1cd1a50d75a..c0b0a0466f2 100755
--- a/make-dist
+++ b/make-dist
@@ -284,7 +284,7 @@ echo "Creating top directory: '${tempdir}'"
284mkdir ${tempdir} 284mkdir ${tempdir}
285 285
286if [ "$changelog" = yes ]; then 286if [ "$changelog" = yes ]; then
287 if test -d .git; then 287 if test -e .git; then
288 echo "Making top-level ChangeLog" 288 echo "Making top-level ChangeLog"
289 make ChangeLog CHANGELOG=${tempdir}/ChangeLog || \ 289 make ChangeLog CHANGELOG=${tempdir}/ChangeLog || \
290 { x=$?; echo "make ChangeLog FAILED (try --no-changelog?)" >&2; exit $x; } 290 { x=$?; echo "make ChangeLog FAILED (try --no-changelog?)" >&2; exit $x; }